A guide explaining how to deploy and set up Vultr Optimized Cloud Compute instances for your workloads.
Vultr Optimized Cloud Compute instances are dedicated virtual machines designed for demanding business applications such as production websites, CI/CD, video transcoding, and large databases. Vultr Optimized Cloud Compute instances are capable of running resource-intensive applications that require specific CPU, memory or storage resources.
Follow this guide to provision Vultr Optimized Cloud Compute instances using the Vultr customer portal, API, CLI, or Terraform.
Navigate to Products and click Compute.
Click Deploy.
Choose Dedicated CPU as the instance type.
Select your desired Vultr location to deploy the instance to.
Select a plan category from the sidebar:
Select a plan from the available options based on your vCPU, memory, storage, and bandwidth requirements.
Click Configure Software.
Select a cloud image to install on the instance based on the following options:
Operating System: Installs a fresh operating system image on the instance.
Marketplace Apps: Installs a prebuilt software stack or application and the recommended operating system image on the instance.
ISO/iPXE: Boots a specific ISO available or iPXE-compatible image on the instance.
ISO Library: Installs a specific ISO image from the Vultr ISOs library.
Backup: Recovers a specific backup available in your Vultr account to the instance.
Snapshot: Installs a specific snapshot available in your Vultr account to the instance.
Select optional Server Settings to apply on the instance.
Enter a new hostname in the Server Hostname field and a descriptive label in the Server Label field to identify the instance.
Configure Additional Features for the instance.
linuxuser non-root user with sudo privileges as the default user account instead of root.Click Deploy to provision the instance.
Send a POST request to the Create Instance endpoint to create a new Vultr Optimized Cloud Compute instance. Replace VULTR_LOCATION, INSTANCE_PLAN, OS_ID, INSTANCE_LABEL, and HOSTNAME with your target values.
$ curl "https://api.vultr.com/v2/instances" \
-X POST \
-H "Authorization: Bearer ${VULTR_API_KEY}" \
-H "Content-Type: application/json" \
--data '{
"region" : "VULTR_LOCATION",
"plan" : "INSTANCE_PLAN",
"os_id" : OS_ID,
"label" : "INSTANCE_LABEL",
"hostname": "HOSTNAME"
}'
Visit the Create Instance API page to view additional attributes you can apply on the Vultr Optimized Cloud Compute instance.
Send a GET request to the List Instances endpoint to list all available instances.
$ curl "https://api.vultr.com/v2/instances" \
-X GET \
-H "Authorization: Bearer ${VULTR_API_KEY}"
Create a new Vultr Optimized Cloud Compute instance. Replace VULTR_LOCATION, INSTANCE_PLAN, OS_ID, INSTANCE_LABEL, and HOSTNAME with your target values.
$ vultr-cli instance create --region VULTR_LOCATION --plan INSTANCE_PLAN --os OS_ID --label INSTANCE_LABEL --host HOSTNAME
Run vultr-cli instance create --help to view additional options you can apply on the Vultr Optimized Cloud Compute instance.
List all available instances.
$ vultr-cli instance list
Ensure the Vultr Terraform provider is configured in your Terraform project.
Define the Optimized Cloud Compute instance in your Terraform configuration file.
terraform {
required_providers {
vultr = {
source = "vultr/vultr"
version = "~> 2.26"
}
}
}
provider "vultr" {}
resource "vultr_instance" "occ" {
label = "occ-instance-1"
hostname = "occ-instance-1"
region = "del" # change to your target region (such as ewr, ams, sgp)
plan = "vhp-2c-4gb" # OCC plan code
os_id = 2284 # Ubuntu 24.04 LTS x64
enable_ipv6 = true
}
output "public_ip" {
value = vultr_instance.occ.main_ip
}
Apply the configuration and observe the following output:
Apply complete! Resources: 1 added, 0 changed, 0 destroyed.